Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.examples.cloudbalancing.solver.score
Class CloudBalancingIncrementalScoreCalculator

    java.lang.Object
      org.drools.planner.core.score.director.incremental.AbstractIncrementalScoreCalculator<CloudBalance>
          org.drools.planner.examples.cloudbalancing.solver.score.CloudBalancingIncrementalScoreCalculator

All Implemented Interfaces:
  IncrementalScoreCalculator<CloudBalance>

    public class CloudBalancingIncrementalScoreCalculator

extends AbstractIncrementalScoreCalculator<CloudBalance>

Constructor Summary
`CloudBalancingIncrementalScoreCalculator()`

Method Summary
`void` | `afterAllVariablesChanged(Object entity)`
`void` | `afterEntityAdded(Object entity)`
`void` | `afterEntityRemoved(Object entity)`
`void` | `afterVariableChanged(Object entity, String variableName)`
`void` | `beforeAllVariablesChanged(Object entity)`
`void` | `beforeEntityAdded(Object entity)`
`void` | `beforeEntityRemoved(Object entity)`
`void` | `beforeVariableChanged(Object entity, String variableName)`
`HardSoftScore` | `calculateScore()`
`void` | `resetWorkingSolution(CloudBalance cloudBalance)`

Methods inherited from class org.drools.planner.core.score.director.incremental.AbstractIncrementalScoreCalculator
`buildScoreCorruptionAnalysis`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CloudBalancingIncrementalScoreCalculator

    public CloudBalancingIncrementalScoreCalculator()

Method Detail

### resetWorkingSolution

    public void resetWorkingSolution(CloudBalance cloudBalance)

### beforeEntityAdded

    public void beforeEntityAdded(Object entity)

### afterEntityAdded

    public void afterEntityAdded(Object entity)

### beforeAllVariablesChanged

    public void beforeAllVariablesChanged(Object entity)

### afterAllVariablesChanged

    public void afterAllVariablesChanged(Object entity)

### beforeVariableChanged

    public void beforeVariableChanged(Object entity,
                                      String variableName)

### afterVariableChanged

    public void afterVariableChanged(Object entity,
                                     String variableName)

### beforeEntityRemoved

    public void beforeEntityRemoved(Object entity)

### afterEntityRemoved

    public void afterEntityRemoved(Object entity)

### calculateScore

    public HardSoftScore calculateScore()

  Returns:
    never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.